Page MenuHomePhabricator

Use mediawiki/mediawiki-phan-config in extension WikibaseLexeme
Closed, ResolvedPublic

Description

The extension WikibaseLexeme has a .phan/config.php file, but is not using the composer dev-requirement mediawiki/mediawiki-phan-config to import a default config file.

The existing file should be changed to inherit the phan-config and modify the config array as needed (file list, folder list, etc.)

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterUpdate phan, cleanup config

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 31 2019, 9:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Daimona claimed this task.Jul 14 2019, 1:21 PM

Change 518256 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/WikibaseLexeme@master] Update phan, cleanup config

https://gerrit.wikimedia.org/r/518256

Change 518256 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Update phan, cleanup config

https://gerrit.wikimedia.org/r/518256

Daimona closed this task as Resolved.Jul 31 2019, 5:17 PM